from fastapi import APIRouter

from app.api.v1 import (
    admin_card_keys,
    oem_card_keys,
    agent_card_keys,
    card_keys,
    admin_desktop_configs,
    
    oem_desktop_configs,
    admin_oem_branding,
    oem_oem_branding,
    admin_users,
    agent_users,
    app_config,
    oem_public,
    oem_users,
    auth,
    nodejs_scripts,
    python_scripts,
    quickjs_scripts,
)

api_router = APIRouter()
api_router.include_router(oem_users.router)
api_router.include_router(oem_public.router)
api_router.include_router(auth.router)
api_router.include_router(card_keys.router)
api_router.include_router(admin_users.router)
api_router.include_router(agent_users.router)
api_router.include_router(admin_card_keys.router)
api_router.include_router(oem_card_keys.router)
api_router.include_router(agent_card_keys.router)
api_router.include_router(admin_desktop_configs.router)
api_router.include_router(oem_desktop_configs.router)
api_router.include_router(admin_oem_branding.router)
api_router.include_router(oem_oem_branding.router)
api_router.include_router(app_config.router)
api_router.include_router(quickjs_scripts.router)
api_router.include_router(nodejs_scripts.router)
api_router.include_router(python_scripts.router)
